AppCloudlet (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.network.datacenter

## Class AppCloudlet

- java.lang.Object
- - org.cloudbus.cloudsim.network.datacenter.AppCloudlet

- Direct Known Subclasses:
    WorkflowApp

      public class AppCloudlet
      extends Object

  AppCloudlet class represents an application which user submit for execution within datacenter. It consist of several networkClouds. Please refer to following publication for more details: Saurabh Kumar Garg and Rajkumar Buyya, NetworkCloudSim: Modelling Parallel Applications in Cloud Simulations, Proceedings of the 4th IEEE/ACM International Conference on Utility and Cloud Computing (UCC 2011, IEEE CS Press, USA), Melbourne, Australia, December 5-7, 2011.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Saurabh Kumar Garg

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `accuracy`
    `static int` | `APP_MC`
    `static int` | `APP_Workflow`
    `int` | `appID`
    `ArrayList<NetworkCloudlet>` | `clist`
    `double` | `deadline`
    `double` | `exeTime`
    `int` | `numbervm`
    `int` | `requestclass`
    `int` | `type`
    `int` | `userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppCloudlet(int type, int appID, double deadline, int numbervm, int userId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createCloudletList(List<Integer> vmIdList)` An example of creating APPcloudlet
    `ArrayList<NetworkCloudlet>` | `getClist()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_MC

          public static final int APP_MC

      See Also:
        Constant Field Values

    - #### APP_Workflow

          public static final int APP_Workflow

      See Also:
        Constant Field Values

    - #### type

          public int type

    - #### appID

          public int appID

    - #### clist

          public ArrayList<NetworkCloudlet> clist

    - #### deadline

          public double deadline

    - #### accuracy

          public double accuracy

    - #### numbervm

          public int numbervm

    - #### userId

          public int userId

    - #### exeTime

          public double exeTime

    - #### requestclass

          public int requestclass

  - ### Constructor Detail

    - #### AppCloudlet

          public AppCloudlet(int type,
                     int appID,
                     double deadline,
                     int numbervm,
                     int userId)

  - ### Method Detail

    - #### createCloudletList

          public void createCloudletList(List<Integer> vmIdList)

      An example of creating APPcloudlet
      Parameters:
        `vmIdList` - VMs where Cloudlet will be executed

    - #### getClist

          public ArrayList<NetworkCloudlet> getClist()

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.